# Copyright (C) 2025 Michael Becker  <alcexhim@gmail.com>
# 
# This file is part of Mocha.NET.
# 
# Mocha.NET is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Mocha.NET is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Mocha.NET.  If not, see <https://www.gnu.org/licenses/>.

- entityDefinitions:
  - IDM_Class_Edit_Metadata_PRU: '{cadcfbec-d45c-4c77-a2f6-b64d2354e9dd}'
  - IDE_Class_Definition: '{59a97e34-4470-4abb-a34b-299c4f37afd5}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - element: '&IDE_Class_Definition;'
    name: 'class definition'
    # processedByCTMethod: '&IDM_ClassCreateStart;'
    elementContents:
    - globalIdentifier: '{2b6f4123-3e87-414e-ac44-10105c0d49f3}'
      defaultDataType: '&IDC_Class;'
      displayOptions:
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{3808fb14-89fc-4f81-aca3-0b897cf24559}'
      defaultDataType: '&IDE_Class_Create_Subedit;'
      layout:
      - type: '&IDC_GroupLayout;'
        globalIdentifier: '{27eeb0b5-4f76-4869-865d-9d63405c671b}'
        options:
        - instance: '&IDI_GroupLayoutOption_FieldSet;'
      displayOptions:
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_InitializeForEntry;'
        